Skip to content
Docs

Credentials

Credentials

Create
organizations.service_accounts.credentials.create(strservice_account_id, CredentialCreateParams**kwargs) -> CredentialCreateResponse
POST/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
List
organizations.service_accounts.credentials.list(strservice_account_id, CredentialListParams**kwargs) -> CredentialListResponse
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials
Retrieve
organizations.service_accounts.credentials.retrieve(strcredential_id, CredentialRetrieveParams**kwargs) -> ServiceAccountCredential
GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Update
organizations.service_accounts.credentials.update(strcredential_id, CredentialUpdateParams**kwargs) -> ServiceAccountCredential
PATCH/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
Delete
organizations.service_accounts.credentials.delete(strcredential_id, CredentialDeleteParams**kwargs)
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}
ModelsExpand Collapse
class ServiceAccountCredential:

Service account credential (without secret)

id: str

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
client_id: str

The client ID for authentication

created_at: datetime

The time the entity was created in utc

formatdate-time
name: str

A name for the entity to be displayed in UI

description: Optional[str]

Optional description of the credential

last_used_at: Optional[datetime]

When the credential was last used

formatdate-time
permissions: Optional[Dict[str, Dict[str, bool]]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.